Subject: Re: [PATCH 09/17] pathspec: always show mnemonic and name in unsupported_magic

From: Brandon Williams <[email-masked]>
Date: Wed, 7 Dec 2016 14:41:14 -0800

On 12/07, Duy Nguyen wrote:
> On Wed, Dec 7, 2016 at 4:51 AM, Brandon Williams <[email-masked]> wrote:
> > @@ -426,8 +423,7 @@ void parse_pathspec(struct pathspec *pathspec,
> >                         nr_exclude++;
> >                 if (item[i].magic & magic_mask)
> >                         unsupported_magic(entry,
> > -                                         item[i].magic & magic_mask,
> > -                                         short_magic);
> > +                                         item[i].magic & magic_mask);
> 
> Same here. Maybe put both arguments in the same line. It looks a bit
> better. (sorry for two mails on the same patch, I'm reading the final
> output first before going through individual patches that breaks this
> function down)

All good.  Sometimes its easier to parse comments if they are in
multiple small emails.  I don't mind getting lots of mail :)

> 
> >
> >                 if ((flags & PATHSPEC_SYMLINK_LEADING_PATH) &&
> >                     has_symlink_leading_path(item[i].match, item[i].len)) {
> -- 
> Duy

-- 
Brandon Williams